package com.engine.salary.biz;

import com.engine.salary.entity.salarysob.po.SalarySobDefaultItemPO;
import com.engine.salary.mapper.salarysob.SalarySobDefaultItemMapper;
import org.apache.ibatis.session.SqlSession;
import weaver.conn.mybatis.MyBatisFactory;

import java.util.List;

public class SalarySobDefaultItemBiz {


    public List<SalarySobDefaultItemPO> listByIncomeCategory(SalarySobDefaultItemPO build) {
        SqlSession sqlSession = MyBatisFactory.sqlSessionFactory.openSession();
        try {
            SalarySobDefaultItemMapper mapper = sqlSession.getMapper(SalarySobDefaultItemMapper.class);
            return mapper.listSome(build);
        } finally {
            sqlSession.close();
        }
    }
}
